Bug 1349741 (CVE-2016-5011) - CVE-2016-5011 util-linux: Extended partition loop in MBR partition table leads to DOS
Summary: CVE-2016-5011 util-linux: Extended partition loop in MBR partition table lead...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5011
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1349536 1354450
Blocks: 1349742
TreeView+ depends on / blocked
 
Reported: 2016-06-24 06:57 UTC by Andrej Nemec
Modified: 2019-09-29 13:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that util-linux's libblkid library did not properly handle Extended Boot Record (EBR) partitions when reading MS-DOS partition tables. An attacker with physical USB access to a protected machine could insert a storage device with a specially crafted partition table that could, for example, trigger an infinite loop in systemd-udevd, resulting in a denial of service on that machine.
Clone Of:
Environment:
Last Closed: 2016-11-04 08:57:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2605 normal SHIPPED_LIVE Low: util-linux security, bug fix, and enhancement update 2016-11-03 12:13:26 UTC

Description Andrej Nemec 2016-06-24 06:57:34 UTC
By connecting a storage medium containing a specially crafted MBR a local user can cause a Linux system to become unresponsive.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1349536

Comment 1 Andrej Nemec 2016-06-24 06:57:40 UTC
Acknowledgments:

Name: Michael Gruhn
Upstream: Christian Moch

Comment 2 Cedric Buissart 🐶 2016-07-11 07:30:07 UTC
Patch : upstream commit 7164a1c34d18831ac61c6744ad14ce916d389b3f :
https://git.kernel.org/cgit/utils/util-linux/util-linux.git/commit/?id=7164a1c3

Comment 3 Cedric Buissart 🐶 2016-07-11 11:00:18 UTC
Created util-linux tracking bugs for this issue:

Affects: fedora-all [bug 1354450]

Comment 5 Cedric Buissart 🐶 2016-07-12 15:24:49 UTC
Additional patch, to prevent non-zero recursion :
https://github.com/karelzak/util-linux/commit/50d1594c2e6142a3b51d2143c74027480df082e0

Comment 8 errata-xmlrpc 2016-11-03 21:27:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2605 https://rhn.redhat.com/errata/RHSA-2016-2605.html


Note You need to log in before you can comment on or make changes to this bug.